CsiGrpcClient (Apache Hadoop YARN CSI 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.csi.client, class: CsiGrpcClient

Package org.apache.hadoop.yarn.csi.client

# Class CsiGrpcClient

java.lang.Object
org.apache.hadoop.yarn.csi.client.CsiGrpcClient

All Implemented Interfaces:
  `AutoCloseable`

public final class CsiGrpcClient extends Object implements AutoCloseable
A CSI gRPC client, it connects a CSI driver via a given unix domain socket.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CsiGrpcClient.GrpcClientBuilder`
  The Grpc Client builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Shutdown the communication channel gracefully, wait for 5 seconds before it is enforced.
  `csi.v0.ControllerGrpc.ControllerBlockingStub`
  `createControllerBlockingStub()`
  Creates a blocking stub for CSI controller plugin on the given channel.
  `csi.v0.IdentityGrpc.IdentityBlockingStub`
  `createIdentityBlockingStub()`
  Creates a blocking stub for CSI identity plugin on the given channel.
  `csi.v0.NodeGrpc.NodeBlockingStub`
  `createNodeBlockingStub()`
  Creates a blocking stub for CSI node plugin on the given channel.
  `static CsiGrpcClient.GrpcClientBuilder`
  `newBuilder()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static CsiGrpcClient.GrpcClientBuilder newBuilder()

  - ### close

    public void close()
    Shutdown the communication channel gracefully, wait for 5 seconds before it is enforced.
    Specified by:
      `close` in interface `AutoCloseable`

  - ### createIdentityBlockingStub

    public csi.v0.IdentityGrpc.IdentityBlockingStub createIdentityBlockingStub()
    Creates a blocking stub for CSI identity plugin on the given channel.
    Returns:
      the blocking stub

  - ### createControllerBlockingStub

    public csi.v0.ControllerGrpc.ControllerBlockingStub createControllerBlockingStub()
    Creates a blocking stub for CSI controller plugin on the given channel.
    Returns:
      the blocking stub

  - ### createNodeBlockingStub

    public csi.v0.NodeGrpc.NodeBlockingStub createNodeBlockingStub()
    Creates a blocking stub for CSI node plugin on the given channel.
    Returns:
      the blocking stub